summaryrefslogtreecommitdiff
path: root/tests/cp
diff options
context:
space:
mode:
Diffstat (limited to 'tests/cp')
-rwxr-xr-xtests/cp/reflink-perm43
1 files changed, 43 insertions, 0 deletions
diff --git a/tests/cp/reflink-perm b/tests/cp/reflink-perm
new file mode 100755
index 000000000..0c752467c
--- /dev/null
+++ b/tests/cp/reflink-perm
@@ -0,0 +1,43 @@
+#!/bin/sh
+# Test cp --reflink copies permissions
+
+# Copyright (C) 2009 Free Software Foundation, Inc.
+
+# This program is free software: you can redistribute it and/or modify
+# it under the terms of the GNU General Public License as published by
+# the Free Software Foundation, either version 3 of the License, or
+# (at your option) any later version.
+
+# This program is distributed in the hope that it will be useful,
+# but WITHOUT ANY WARRANTY; without even the implied warranty of
+# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the
+# GNU General Public License for more details.
+
+# You should have received a copy of the GNU General Public License
+# along with this program. If not, see <http://www.gnu.org/licenses/>.
+
+if test "$VERBOSE" = yes; then
+ set -x
+ cp --version
+fi
+
+. $srcdir/test-lib.sh
+
+fail=0
+
+: > time_check
+: > file
+ts='2009-08-28 19:00'
+touch -d "$ts" file || framework_failure
+test time_check -nt file || skip_test_ "The system clock is wrong"
+
+chmod a=rwx file || framework_failure
+umask 077
+cp --reflink=auto --preserve file copy || fail=1
+
+mode=$(stat --printf "%A" copy)
+test "$mode" = "-rwxrwxrwx" || fail=1
+
+test copy -nt file && fail=1
+
+Exit $fail